> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check membership

> Checks whether a member with the given email exists in the community. Useful for gating access in external auth flows (e.g. Auth0 custom actions).



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/members/check
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/members/check:
    post:
      tags:
        - Members
      summary: Check membership
      description: >-
        Checks whether a member with the given email exists in the community.
        Useful for gating access in external auth flows (e.g. Auth0 custom
        actions).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  minLength: 1
                  maxLength: 254
                  format: email
              required:
                - email
      responses:
        '200':
          description: Check completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      is_member:
                        type: boolean
                      is_deactivated:
                        type: boolean
                        enum:
                          - true
                      is_forgotten:
                        type: boolean
                        enum:
                          - true
                    required:
                      - is_member
                required:
                  - success
                  - data
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````